// see https://gitlab.com/ChiweenieDijon/noonian/wikis/Instance-Configuration

module.exports = {
  
  instanceName:'twz-dev', //Used for referring to the instance via the CLI

  instanceId:'twz-dev', //Used in versioning the persisted business objects (keep it short)
  

  serverListen: {
    port: 6500,
    host: '127.0.0.1'
  },

  // MongoDB connection options
  mongo: {
    uri: 'mongodb://localhost/noonian-twz-dev'
  },

  // Secret for session; used for signing the auth token
  secrets: {
    session: '123456'
  },

  // Set the level for instance.log: error,warn,info,verbose,debug,silly
  logLevel:'debug',


  /*
    Use urlBase if noonian will be served to a path other than the root of the domain
    (e.g. one domain can host multiple noonian instances as such: mydomain.com/instance1, mydomain.com/instance2)
  */
  urlBase:'twz-dev',

  /*
    Maintain history of changes to Business Objects;
    retains diffs in UpdateLog's as updates are made
  */
  //enableHistory:true,


/*
   If you are using this instance to build a package, enable it here
*/
  packageBuilding:{
    key:'app.twz',
    fsSync:true
  },


};
